function f=gm_Lebesgue_func_OPHL(X);
%GM_LEBESGUE_FUNC_OPHL computation of the Lebesgue function
% when searching for the max with praxis

% using the bivariate othogonal polynomials computed using Huhtanen-Larsen

% xparm and yparm are the points defining the discrete inner product
% wparm: weights


%
% Author G. Meurant
% May 2014
% Updated August 2015
%

global xparm yparm wparm
global nfunc
global Aparm alpparm

nfunc = nfunc + 1;

ind = gm_indic_func(X);
if ind == 0
 f = 1e16;
 return
end % if ind

% X contains the coordinates of just one point
x = X(1); 
y = X(2);

% total degree
n = length(xparm);
d = ceil((-3 + sqrt(1 + 8 * n)) / 2);

% get the matrices from gm_OPHL

A = Aparm;
alp = alpparm;
% compute the values of the polynomials
Psi = gm_OPHL_eval(d,x,y,wparm,A,1);

np = size(Psi,1);

Psinp = zeros(np,1);

for j = 1:n
 sk = zeros(np,1);
 
 % values of the j-th Lagrange polynomial
 for k = 1:n
  sk = sk + alp(k,j) * Psi(:,k);
 end % for k
 
 Psinp = Psinp + abs(sk);
 
end % for j

f = -Psinp(1);



