
% computation of the Lebesgue constants for the spiral points

nw = 500;
% we compute on a WAM of order 500 (250501 points)
pts = gm_disk_wam(nw);

fprintf('\n Spiral points, WAM of order %d, %d points \n',nw,size(pts,1))


for deg = 1:20
 n = (deg + 1) * (deg + 2) / 2;
 % Carnicer-Godes points
ptsspir = gm_spiral_disk(deg);
x = ptsspir(:,1);
y = ptsspir(:,2);
w = ones(n,1) / n;

% Huhtanen-Larsen
[maxL_OPHL,Psidot] = gm_compXY_Lebesgue_func_OPHL(x,y,w,pts,2);

% Vandermonde
maxL_V = gm_compXY_Lebesgue_func_Vdisk(x,y,w,pts);

fprintf('\n %3d OPHL = %12.7f, Vander = %12.7f, diff = %12.5e \n',deg,maxL_OPHL,maxL_V, abs(maxL_OPHL-maxL_V))

end % for deg

